Subject: bug#76494: [PATCH] Highlight fill-column-indicator when current line is longer than `fill-column'

From: Eli Zaretskii <[email-masked]>
Date: Sun, 23 Feb 2025 08:14:56 +0200

> From: Elijah Gabe Pérez <[email-masked]>
> Date: Sat, 22 Feb 2025 22:21:02 -0600
> 
> This patch allow warn to user if current line exceeds
> display-fill-column-indicator-column.

Thanks.

> When current line exceeds display-fill-column-indicator-column ...
>                                            |
> (print "......................................")
>                                            |
> ... fill-column indicator face will change ^
> temporarily to a noticeable face to warn the user that the current
> column is getting too long.

I see your change adds a post-command-hook, but when and how is that
hook removed?

> I also wanted to do the same for indicator character but I couldn't find
> a way to implement it.

What do you mean by "indicator character"?

> +(defcustom display-fill-column-indicator-warning nil
> +  "Highlight fill-column-indicator when cursor is above `fill-column'.
> +Non-nil means highlight fill-column-indicator when cursor is
> +above `fill-column'."
> +  :type 'boolean)

This lacks a :version tag.

Also, what do you mean by "cursor is above `fill-column'"?  The
"above" part confuses me.

> +(defface display-fill-column-indicator-warning-face
> +  '((t :inherit error :stipple nil))
> +  "Face used to highlight fill-column-indicator when the line is too long.")

This should also have a :version tag.  And fill-column-indicator
should be quoted, so that help command produce a cross-reference from
it.